<template>
  <a
    v-show="state.locale === 'FR'"
    class="text-white hover:cursor-pointer w-full bg-red-600 absolute top-0 text-center p-2"
    href="https://mapview.fr/"
  >
    <span class="font-bold"> Attention ! </span> Cette version de l'application
    Mapview n'est plus supportée. Merci d'utiliser la version 2 disponible
    <span class="text-blue-700 underline">içi</span>
  </a>
  <a
    v-show="state.locale !== 'FR'"
    class="text-white hover:cursor-pointer w-full bg-red-600 absolute top-0 text-center p-2"
    href="https://mapview.fr/"
  >
    <span class="font-bold"> Warning ! </span> This version of the application
    Mapview is no more maintained. Thank to use the version 2 available
    <span class="text-blue-700 underline">here</span>
  </a>
  <div
    class="min-h-screen p-8 mx-auto space-y-16 sm:p-16 sm:space-y-12 max-w-7xl"
  >
    <img :src="MapviewLogoPath" class="max-w-lg mx-auto" />

    <div class="grid gap-8 md:grid-cols-3 md:gap-12 lg:gap-16">
      <div
        v-for="machine in list"
        :key="machine.title"
        class="flex flex-col h-full space-y-6"
      >
        <div class="flex-1">
          <a
            :href="machine.url"
            class="block h-full border-8 border-white shadow cursor-pointer rounded-xl group"
          >
            <img
              :src="machine.imagePath"
              class="object-cover w-full h-full rounded-lg opacity-80 group-hover:opacity-100"
            />
          </a>
        </div>
        <div class="text-4xl font-bold text-center">
          <p>
            {{ machine.title }}
          </p>
        </div>
        <div class="space-y-2">
          <a
            class="flex items-center justify-center px-4 py-3 space-x-2 font-medium bg-gray-100 shadow rounded-xl hover:bg-gray-50"
            download
            :href="`/PV Type ${machine.title} ${state.locale}.xlsx`"
          >
            <svg
              xmlns="http://www.w3.org/2000/svg"
              class="w-5 h-5 opacity-50"
              viewBox="0 0 20 20"
              fill="currentColor"
            >
              <path
                fill-rule="evenodd"
                d="M3 17a1 1 0 011-1h12a1 1 0 110 2H4a1 1 0 01-1-1zm3.293-7.707a1 1 0 011.414 0L9 10.586V3a1 1 0 112 0v7.586l1.293-1.293a1 1 0 111.414 1.414l-3 3a1 1 0 01-1.414 0l-3-3a1 1 0 010-1.414z"
                clip-rule="evenodd"
              />
            </svg>
            <span>Template</span>
          </a>
          <a
            class="flex items-center justify-center px-4 py-3 space-x-2 font-medium bg-gray-100 shadow rounded-xl hover:bg-gray-50"
            download
            :href="`/Demo ${machine.title} ${state.locale}.${
              machine.title === 'Minidyn' ? 'dynz' : 'rptz'
            }`"
          >
            <svg
              xmlns="http://www.w3.org/2000/svg"
              class="w-5 h-5 opacity-50"
              viewBox="0 0 20 20"
              fill="currentColor"
            >
              <path
                fill-rule="evenodd"
                d="M3 17a1 1 0 011-1h12a1 1 0 110 2H4a1 1 0 01-1-1zm3.293-7.707a1 1 0 011.414 0L9 10.586V3a1 1 0 112 0v7.586l1.293-1.293a1 1 0 111.414 1.414l-3 3a1 1 0 01-1.414 0l-3-3a1 1 0 010-1.414z"
                clip-rule="evenodd"
              />
            </svg>
            <span>Demo</span>
          </a>
        </div>
      </div>
    </div>
  </div>
</template>

<script setup>
  import { onMounted, reactive } from 'vue'

  import MapviewLogoPath from '../assets/mapview.svg'

  import HeavydynPath from '../assets/heavydyn.png'
  import MinidynPath from '../assets/minidyn.jpg'
  import MaxidynPath from '../assets/maxidyn.jpg'

  const getBrowserLocale = (languageCodeOnly = false) => {
    if (!navigator.language) {
      return undefined
    }

    const trimmedLocale = navigator.language.trim()

    return languageCodeOnly ? trimmedLocale.split(/-|_/)[0] : trimmedLocale
  }

  const state = reactive({
    locale: '',
  })

  onMounted(() => {
    state.locale = getBrowserLocale(true) === 'fr' ? 'FR' : 'EN'
  })

  const list = [
    {
      title: 'Heavydyn',
      url: 'https://heavydyn.v1.mapview.fr',
      imagePath: HeavydynPath,
    },
    {
      title: 'Minidyn',
      url: 'https://minidyn.v1.mapview.fr',
      imagePath: MinidynPath,
    },
    {
      title: 'Maxidyn',
      url: 'https://maxidyn.v1.mapview.fr',
      imagePath: MaxidynPath,
    },
  ]
</script>
